Subject: Re: [bug#75518] Request for merging "core-packages-team" branch

From: Christopher Baines <[email-masked]>
Date: Sat, 12 Jul 2025 13:57:10 +0100

Andreas Enge <[email-masked]> writes:

> thanks for your feedback!
>
> Am Fri, Jul 11, 2025 at 10:13:15AM +0100 schrieb Christopher Baines:
>> There's been correctness issues with the derivations in the database for
>> both data.guix.gnu.org and data.qa.guix.gnu.org, and finding, fixing and
>> trying to figure out how those might have happened took a bunch of time.
>
> is there a "post mortem" to be shared, things we need to consider, could
> do, or whatever, in the future to prevent or repair such issues?

Not really, I've put safeguards in place to avoid acidentally nesting
transactions [1] and there's code now to fix at least some of these
issues after they happen, but I'm still not confident that they won't
happen again.

1: https://codeberg.org/guix/data-service/commit/2430bc4307a9a87c37d2de38fd3b4ce04ff7509d